<nz-page-header nzBackIcon [nzTitle]="'Common.Extra.Referrals' | translate"></nz-page-header>

<div style="text-align: center; margin-bottom: 10px">
  {{ "Citizen.ReferralsDescription" | translate }}
</div>

<nz-alert style="text-align: center" nzType="info" [nzMessage]="'Common.Extra.ReferralsLink' | translate"
  nzDescription="{{ refUrl }}">
</nz-alert>

<nz-divider nzText="Gold earning"></nz-divider>
<nz-spin [nzSpinning]="isLoading">
  <div nz-row nzGutter="8">
    <div nz-col nzSpan="6" *ngFor="let item of list">

      <a href="/citizen/{{ item.citizen.id }}">
        <nz-list-item-meta [nzAvatar]="avatar" nzDescription="{{ item.citizen.name }}">
          <nz-list-item-meta-title>
            {{ 'Economy.Currencies.GoldEarned' | translate }}: {{ item.goldEarned }}
          </nz-list-item-meta-title>
        </nz-list-item-meta>
        <ng-template #avatar>
          <nz-avatar [nzSrc]="item.citizen.avatar" nzSize="large" nzIcon="user"></nz-avatar>
        </ng-template>
      </a>

    </div>
  </div>
</nz-spin>
